Bug 1472401

Summary: python-alchimia: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Iryna Shcherbina <ishcherb>
Component: python-alchimiaAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: jberan, lbalhar, mhroncok, vladanovic
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-alchimia-0.7.0-1.fc28 python-alchimia-0.7.0-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-30 06:42:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816, 1312032, 1333770    
Attachments:
Description Flags
New version including Python 3 subpackage none

Description Iryna Shcherbina 2017-07-18 16:00:44 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2017-08-11 12:52:32 UTC
Created attachment 1312125 [details]
New version including Python 3 subpackage

Comment 2 Jan Beran 2017-08-11 12:57:29 UTC
Hello Vladan,

may I kindly ask you to review the updated spec file, and if it is fine, could you make a new Fedora build?

Thank you.

Jan

Comment 3 Jan Kurik 2017-08-15 08:25:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Iryna Shcherbina 2017-08-25 15:25:04 UTC
The patch looks good to me, thanks Jan!

I have rebased it on top of the recent changes to the spec file and created a Pagure PR:
https://src.fedoraproject.org/rpms/python-alchimia/pull-request/1


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21466249

Comment 5 Jan Beran 2017-09-18 13:42:25 UTC
Hi Lumír, as there is no response from the maintainer, please, could you push the change?

Comment 6 Miro Hrončok 2017-09-19 12:29:53 UTC
Will merge & build.

Comment 7 Fedora Update System 2017-09-19 12:47:08 UTC
python-alchimia-0.7.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-30cb8c2f7a

Comment 8 Fedora Update System 2017-09-19 23:30:21 UTC
python-alchimia-0.7.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-30cb8c2f7a

Comment 9 Fedora Update System 2017-09-30 06:42:17 UTC
python-alchimia-0.7.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.